
$(function () {
	var now = new Date();
	i18n.init({
		fallbackLng: 'en',
		getAsync: false,
		resGetPath: 'locales/__lng__/__ns__.json?timestamp=' + now.getTime()
	});


	var ToC = $('<nav role="navigation" class="table-of-contents"></nav>')
		.append($('<h3 class="subTitle" data-i18n="[html]translateHelp.tableOfContents.label"></h3>' ));

	var ToCList = $('<ul></ul>');

	var newLine, el, title, link;

	$('.subTitle').each(function() {

	  el = $(this);
	  title = el.attr('data-i18n');
	  link = '#' + el.attr('id');

	  newLine = $('<li></li>')
	  	.append($('<a></a>', {
	  			href: link,
	  			'data-i18n': title
	  		})
	  	);

	  var subContent = el.parent().find('.subsubTitle');
	  if (subContent.length > 0 ){
			var subList = $('<ul></ul>');
			subContent.each(function() {
				var subEl = $(this);
				var subTitle = subEl.attr('data-i18n');
				var subLink = '#' + subEl.attr('id');

				var subnewLine = $('<li></li>')
					.append($('<a></a>', {
							href: subLink,
							'data-i18n': subTitle
						})
					);
				subList.append(subnewLine);
			});
			newLine.append(subList);
		}

	  ToCList.append(newLine);
	});

	ToC.append(ToCList);
	$('#ToC').append(ToC);

	$('.translateHelpTitle').i18n();
	$('.translateHelp').i18n();
	document.title = $.t('translateTitle');



(function resizeVideoPage(){
	'use strict';
	var margin = 50;
	var height = 1024 + margin;
	var width  = 480  + margin;

	var newWidth        = Math.min(width, screen.width);
	var newHeight       = Math.min(height, screen.height);

	window.resizeTo(newWidth, newHeight);
})();
});
